Match Play Hole-by-hole
Overview
Use this resource to retrieve or stream match play hole-by-hole state.
REST returns the current payload.
WebSocket wraps the same payload in the state envelope.
REST:
GET https://{domain}/golf/rest/v1/tournaments/{tournament_id}/match-hole-by-hole/{match_id}WebSocket:
wss://{domain}/golf/stream/v1/tournaments/{tournament_id}/match-hole-by-hole/{match_id}
Path parameters
tournament_idtype: integer
Tournament identifier.
example:
12345
match_idtype: integer
Match identifier stripped from the SR match ID, for example
sr:match:12345→12345.example:
12345
Response example
The example below shows the resource payload.
Field
Type
Details
Required
IMGA equivalent
is_official
Boolean
Is the match official
yes
isOfficial
match_id
Integer
Match identifier
yes
matchId
sr_match_id
String
SR match identifier
yes
-
scoring_type
String
Scoring type, either strokes or points
no
scoringType
time
String (date-time)
Timestamp of the data when it was generated
yes
timestamp
tournament_id
Integer
Tournament identifier
yes
tournamentId
sr_tournament_id
String
SR tournament identifier
yes
-
winning_team_number
Integer
Number of the team who won, appears once when the winning team is determined
no
winningTeamNo
team_scores
array
Array of individual team scores
yes
teamScores
team_scores[] .team_number
Integer
Number of the single team
yes
teamNo
team_scores[] .squad_number
Integer
Number of the squad for a given team
yes
squadNo
team_scores[] .match_score_to_par
Integer
Score to par calculated for finished hole
no
matchTotalToPar
team_scores[] .match_points
Decimal
Score for team in match, usually it will be sum of points of MatchHoleScore points (available only for scoring_type set to points)
no
matchPoints
team_scores[] .match_strokes
Integer
Number of strokes taken in a given match; it’s based only on completed holes
no
matchStrokes
team_scores[] .hole_scores[]
array
Array of hole scores for individual team
yes
holeScores
team_scores[] .hole_scores[] .cumulative_score_to_par
Integer
Contains cumulative number of strokes compared to par of current and previous holes
no
team_scores[] .hole_scores[] .cumulative_holes_advantage
String
The team’s score in the match at the time that the given hole was completed
yes
cumulativeHolesAdvantage
team_scores[] .hole_scores[] .hole_number
Integer
Number of the hole
yes
holeNo
team_scores[] .hole_scores[] .yardage
Integer
The length of the hole in yards
yes
yardage
team_scores[] .hole_scores[] .par
Integer
Par value for the given hole
yes
par
team_scores[] .hole_scores[] .score_to_par
Integer
Score to par on particular hole. This value will be empty when hole was not played yet or conceded.
no
scoreToPar
team_scores[] .hole_scores[] .strokes
String
Number of strokes taken for the given hole; if a hole is conceded, the strokes value is set to c, can also be -.
no
strokes
team_scores[] .hole_scores[] .hole_finished
Boolean
Flag to determine if a given hole is finished
yes
holeFinished
team_scores[] .hole_scores[] .points
Decimal
The accumulated points score for that match
no
team_scores[] .hole_scores[] .hole_finished_by
String
The reason for which the hole ended; possible values:
BallHoled
HoleWon
LossOfHole
HoleConceded
no
holeFinishedBy
team_scores[] .hole_scores[] .playoff_sequence
Integer
A counter indicating which playoff hole number the given hole pertains to, Will be 0 for non-playoff holes, and will count up from 1 for playoff holes
yes
playOffSequence
team_scores[] .hole_scores[] .player_scores
array
Array of score per player on a given hole, this will be sent when teams are playing best ball (Four Balls) format so as to know the individual player score as well as the total team score
no
playerScores
team_scores[] .hole_scores[] .player_scores[] .strokes
Integer
Number of strokes on a given hole made by player
yes
strokes
team_scores[] .hole_scores[] .player_scores[] .score_to_par
Integer
Score to par on a given hole by player
yes
scoreToPar
team_scores[] .hole_scores[] .player_scores[] .player_id
Integer
Player identifier
yes
playerId
team_scores[] .hole_scores[] .player_scores[] .sr_player_id
String
SR player identifier
yes
-
team_scores[] .hole_scores[] .player_scores[] .is_ball_holed
Boolean
Flag indicating whether the ball was holed by player
yes
isBallHoled
team_scores[] .players
array
Array of players in a given team
yes
players
team_scores[] .players[] .country
String
3-character FIFA Country Code
yes
country
team_scores[] .players[] .display_name
String
Player first name + last name
yes
displayName
team_scores[] .players[] .first_name
String
Player first name
yes
firstName
team_scores[] .players[] .last_name
String
Player last name
yes
lastName
team_scores[] .players[] .gender
String
Player gender
yes
gender
team_scores[] .players[] .player_id
Integer
Player identifier
yes
id
team_scores[] .players[] .sr_player_id
String
SR player identifier
yes
-
team_scores[] .players[] .is_amateur
Boolean
Is player amateur or not
yes
isAmateur
Last updated
Was this helpful?